button#zoomIn {
    background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='24' height='24'><path style='fill:black;' d='M12 5l0 0c0.55,0 1,0.45 1,1l0 5 5 0c0.55,0 1,0.45 1,1l0 0c0,0.55 -0.45,1 -1,1l-5 0 0 5c0,0.55 -0.45,1 -1,1l0 0c-0.55,0 -1,-0.45 -1,-1l0 -5 -5 0c-0.55,0 -1,-0.45 -1,-1l0 0c0,-0.55 0.45,-1 1,-1l5 0 0 -5c0,-0.55 0.45,-1 1,-1z'/></svg>") !important;
    border-top-left-radius: 50% !important;
    border-top-right-radius: 50% !important;
}

button#zoomOut {
    background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='24' height='24'><rect style='fill:black;' transform='matrix(2.7166E-14 1.02573 -0.995545 2.63666E-14 18.9999 10.9999)' width='1.95' height='14.062' rx='0.975' ry='0.975' /></svg>") !important;
    border-bottom-left-radius: 50% !important;
    border-bottom-right-radius: 50% !important;
}

.mapboxgl-map {
    .mapboxgl-ctrl-top-right {
        top: 3rem;
    }

    > .map-scale-control {
        background: var(--contrast-color) !important;
        color: var(--base-color) !important;
        opacity: 0.6 !important;
    }

    > .map-zoom-control {
        background-color: transparent !important;
        border: unset !important;
        box-shadow: unset !important;
        top: calc(50% - 66px) !important;
        opacity: 0.8 !important;

        &:hover {
            opacity: 1 !important;
        }

        button {
            background-size: 100% 100% !important;
            background-position: 0 !important;
        }
    }

    > .map-rotation-control {
        bottom: 32px !important;
        right: 8px !important;
        top: unset !important;
        border: unset !important;
        box-shadow: unset !important;
        user-select: none;

        button {
            width: 85px !important;
            height: 85px !important;
            background: none !important;

            span {
                width: 100% !important;
                height: 100% !important;

                img {
                    width: 100%;
                    height: 100%;
                }
            }
        }
    }

    & .mapboxgl-ctrl-attrib {
        user-select: none;
    }
}
